Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.xms
Class TaskRuntimeData

    java.lang.Object
      lbg.peer.core.xms.TaskRuntimeData

All Implemented Interfaces:
  java.lang.Comparable<TaskRuntimeData>

Direct Known Subclasses:
  ConsumptionTaskRuntimeData, LocalTaskRuntimeData, SupplyingTaskRuntimeData

    public abstract class TaskRuntimeData

extends java.lang.Object
implements java.lang.Comparable<TaskRuntimeData>

Author:
  Cyril Briquet

Method Summary
`abstract int` | `compareTo(TaskRuntimeData other)`
`abstract boolean` | `equals(java.lang.Object obj)`
`abstract ExternalPeerHandle` | `getPeerHandle()`
`abstract long` | `getStartTime()`
`abstract java.lang.String` | `getSupplierID()`
`abstract Task` | `getTask()`
`abstract long` | `getTimeOut()`
`abstract boolean` | `getTimeOutActionTag()`
`abstract int` | `hashCode()`
`abstract boolean` | `isTimeOutActionTagModified()`
`abstract void` | `setTimeOut(long time_out)`
`abstract void` | `setTimeOutActionTag(boolean do_cancel)`
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public abstract int compareTo(TaskRuntimeData other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TaskRuntimeData>`

### equals

    public abstract boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public abstract int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTask

    public abstract Task getTask()

### getStartTime

    public abstract long getStartTime()

### getTimeOut

    public abstract long getTimeOut()

### setTimeOut

    public abstract void setTimeOut(long time_out)
                             throws GridException

  Throws:
    `GridException`

### getPeerHandle

    public abstract ExternalPeerHandle getPeerHandle()

### getSupplierID

    public abstract java.lang.String getSupplierID()

### getTimeOutActionTag

    public abstract boolean getTimeOutActionTag()

### setTimeOutActionTag

    public abstract void setTimeOutActionTag(boolean do_cancel)

### isTimeOutActionTagModified

    public abstract boolean isTimeOutActionTagModified()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.